public inbox for linux-kernel@vger.kernel.org
 help / color / mirror / Atom feed
* [PATCH 1/2] Use config scripts to detect ncurses libs for menuconfig
@ 2013-02-27 18:07 jlec
  2013-02-27 18:07 ` [PATCH 2/2] Use config scripts to detect ncurses libs for nconfig jlec
  2013-02-27 18:37 ` [PATCH 1/2] Use config scripts to detect ncurses libs for menuconfig Yann E. MORIN
  0 siblings, 2 replies; 11+ messages in thread
From: jlec @ 2013-02-27 18:07 UTC (permalink / raw)
  To: linux-kbuild, linux-kernel; +Cc: Justin Lecher

From: Justin Lecher <jlec@gentoo.org>

When building ncurses with --with-termlib several symbols get moved from
libncurses.so to libtinfo.so. Thus when linking with libncurses.so, one
additionally needs to link with libtinfo.so.

Ncurses provides a config script (ncurses5-config) to assist finding ncurses.
This patch makes use of it to detect the necessary libs for linking of the
ncurses menuconfig dialog.

Signed-off-by: Justin Lecher <jlec@gentoo.org>
---
 scripts/kconfig/lxdialog/check-lxdialog.sh | 24 ++++++++++++++++--------
 1 file changed, 16 insertions(+), 8 deletions(-)

diff --git a/scripts/kconfig/lxdialog/check-lxdialog.sh b/scripts/kconfig/lxdialog/check-lxdialog.sh
index c8e8a71..e429207 100644
--- a/scripts/kconfig/lxdialog/check-lxdialog.sh
+++ b/scripts/kconfig/lxdialog/check-lxdialog.sh
@@ -4,15 +4,23 @@
 # What library to link
 ldflags()
 {
-	for ext in so a dll.a dylib ; do
-		for lib in ncursesw ncurses curses ; do
-			$cc -print-file-name=lib${lib}.${ext} | grep -q /
-			if [ $? -eq 0 ]; then
-				echo "-l${lib}"
-				exit
-			fi
+	if ncursesw5-config --libs >/dev/null 2>&1; then
+		ncursesw5-config --libs
+		exit
+	elif ncurses5-config --libs >/dev/null 2>&1; then
+		ncurses5-config --libs
+		exit
+	else
+		for ext in so a dll.a dylib ; do
+			for lib in ncursesw ncurses curses ; do
+				$cc -print-file-name=lib${lib}.${ext} | grep -q /
+				if [ $? -eq 0 ]; then
+					echo "-l${lib}"
+					exit
+				fi
+			done
 		done
-	done
+	fi
 	exit 1
 }
 
-- 
1.8.1.4


^ permalink raw reply related	[flat|nested] 11+ messages in thread

end of thread, other threads:[~2013-02-28 21:38 UTC | newest]

Thread overview: 11+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2013-02-27 18:07 [PATCH 1/2] Use config scripts to detect ncurses libs for menuconfig jlec
2013-02-27 18:07 ` [PATCH 2/2] Use config scripts to detect ncurses libs for nconfig jlec
2013-02-27 19:02   ` Yann E. MORIN
2013-02-28  9:48     ` justin
2013-02-28 17:58       ` Yann E. MORIN
2013-02-27 18:37 ` [PATCH 1/2] Use config scripts to detect ncurses libs for menuconfig Yann E. MORIN
2013-02-28  9:35   ` justin
2013-02-28 18:08     ` Yann E. MORIN
2013-02-28 21:31       ` justin
2013-02-28 21:35         ` Yann E. MORIN
2013-02-28 21:38           ` justin

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox